<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"> 

<h:head></h:head> 
<body> 



<h:form>
			<h:messages />
			<h1>Nova Raça</h1>
            <p:messages/>
			<h:panelGrid columns="2">

				<p:outputLabel value="Código: " for="codigo"/>
				<p:inputText id="codigo" value="#{racaBean.raca.codigo}" />

				<p:outputLabel value="Raça: " for="raca"/>
				<p:inputText id="raca" value="#{racaBean.raca.raca}" />
				
				<p:outputLabel value="Especie"/>
				<p:selectOneMenu id="especie" value="#{racaBean.raca.especie}"
					required="true"
					requiredMessage="É necessário informar a especie"
					converter="entidadeConverterEspecie" autoWidth="false">//Conversor aqui!
				   <f:selectItem itemLabel=" --Selecione uma especie -- " noSelectionOption="true"/>
				   <f:selectItems value="#{especieBean.listarTodos()}" var="e" itemLabel="#{e.especie}" itemValue="#{e}" />
				</p:selectOneMenu>
				<p:commandButton actionListener="#{racaBean.salvar}" value="Salvar" />
                <p:commandButton actionListener="#{racaBean.inicial()}" value="Cancelar"/>
			</h:panelGrid>

		</h:form>
		
</body> 
</html>
